angular.module('starter.controllers', [])


.controller('MapController', function($scope, $ionicLoading, $compile) {
  $scope.initialize = function() {
    var myLatlng = new google.maps.LatLng(48.583148, 7.747882);
    
    var mapOptions = {
      center: myLatlng,
      zoom: 13,
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      streetViewControl: false,
      mapTypeControl: false
    };
    var map = new google.maps.Map(document.getElementById("map"),
        mapOptions);

    var trafficLayer = new google.maps.TrafficLayer();
    trafficLayer.setMap(map);

    $scope.locate = function() {
      if (navigator.geolocation)
        navigator.geolocation.getCurrentPosition(successCallback);
      else
        alert("Votre navigateur ne prend pas en compte la géolocalisation HTML5");    
      
      function successCallback(position){
        map.panTo(new google.maps.LatLng(position.coords.latitude, position.coords.longitude));
        var marker = new google.maps.Marker({
          position: new google.maps.LatLng(position.coords.latitude, position.coords.longitude), 
          map: map
        }); 
      }
    }

    $scope.map = map;

  }
  //google.maps.event.addDomListener(window, 'load', initialize);

  
})

.controller('AlertsCtrl', function($scope, $http) {
  $scope.loading = true;
  $http.get('http://strasbourg-pratique.com/wp/wp-content/plugins/custom-strasbourg-pratique/alerts.php').then(function (response) {
    // The return value gets picked up by the then in the controller.
    events = response.data.events;
    $scope.loading = false;
    $scope.events = events;
  });
})

.controller('TabsCtrl', function($scope, $http) {
  $http.get('http://strasbourg-pratique.com/wp/wp-content/plugins/custom-strasbourg-pratique/alerts.php').then(function (response) {
    // The return value gets picked up by the then in the controller.
    count = response.data.count;
    $scope.count = count;
  });
})

.controller('WeatherCtrl', function($scope, $ionicSlideBoxDelegate) {
  $scope.weatherLoading = true;
  $scope.nextSlide = function() {
    $ionicSlideBoxDelegate.next();
  }
  $scope.prevSlide = function() {
    $ionicSlideBoxDelegate.previous();
  }

  $scope.iframeLoadedCallBack = function(){
    $scope.$apply(function() {
      $scope.weatherLoading = false;
    })
    
  }

});